<?php
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

$bd_host = "localhost"; // хост
$bd_user = "test1"; // логин
$bd_password = "6T9y8I6e";  // пароль
$bd_base = "test1"; // БД

$con = mysql_connect( $bd_host, $bd_user, $bd_password ) or die( 'Ошибка соеденения с базой!' );
mysql_select_db( $bd_base, $con );
mysql_query( "set names cp1251" );

include_once ROOT_DIR . '/engine/function.php';

$config = mysql_fetch_array( mysql_query( "SELECT * FROM config WHERE id = 1" ) );
$config_site = mysql_fetch_array( mysql_query( "SELECT * FROM config_site WHERE id = 1" ) );

if ( isset( $_SESSION['iduser'] ) ) {
    $config_user = mysql_fetch_array( mysql_query( "SELECT * FROM user WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" ) );
    
    #Выходим если пользователь заблокирован
    if ( $config_user['blockuser'] == 1 ) {
        header( "Location: /exit" );
    }
    
	#Выходим если пользователь удален
    if ( $config_user['userdel'] == 1 ) {
        header( "Location: /exit" );
    }
	
    #Если разные браузеры
    if ( $config_user['browser'] != user_browser( $_SERVER['HTTP_USER_AGENT'] ) ) {
        header( "Location: /exit" );
    }
	
	#Трансформируем ссылку тест драйва в обычную после окончанию бесплатных визитов
	mysql_query( "UPDATE dynlink SET testdrive = 0, paused = 0 WHERE visits >= '" . $config['testdriveSum'] . "' and testdrive = 1 LIMIT 100" );
	
	#Останавливаем рекламную площадку контестной рекламы
	mysql_query( "UPDATE klink SET paused = 0 WHERE balance < '" . $config['klink'] . "' and paused = 1 LIMIT 1" );
	
	#Останавливаем рекламную площадку рекламной цепочки
	mysql_query( "UPDATE chain SET paused = 0 WHERE balance < '" . $config['chain'] . "' and paused = 1 and color = 0 LIMIT 1" );
	
	#Останавливаем рекламную площадку рекламной цепочки
	$priceChainsxz = ($config['chain'] + $config['chainColorPrice']);
	mysql_query( "UPDATE chain SET paused = 0 WHERE balance < '" . $priceChainsxz . "' and paused = 1 and color = 1 LIMIT 1" );
	
	#Останавливаем рекламную площадку статичной рекламы
	mysql_query( "UPDATE statlink SET paused = 0 WHERE balance < '" . $config['statlink'] . "' and paused = 1 and color = 0 LIMIT 1" );
	
	#Останавливаем рекламную площадку статичной рекламы
	$pricestatlinksxz = ($config['statlink'] + $config['statlinkColorPrice']);
	mysql_query( "UPDATE statlink SET paused = 0 WHERE balance < '" . $pricestatlinksxz . "' and paused = 1 and color = 1 LIMIT 1" );
	
	#Останавливаем рекламную площадку баннеры 200 х 300
	mysql_query( "UPDATE banners SET paused = 0 WHERE balance < '" . $config['banner200x300'] . "' and type = 0 and paused = 1 LIMIT 1" );
	
	#Останавливаем рекламную площадку баннеры 468 х 60
	mysql_query( "UPDATE banners SET paused = 0 WHERE balance < '" . $config['banner468x60'] . "' and type = 1 and paused = 1 LIMIT 1" );
	
	#Останавливаем рекламную площадку тесты
	mysql_query( "UPDATE tests SET paused = 0 WHERE balance < '" . $config['tests'] . "' and paused = 1 LIMIT 1" );
	
	#Останавливаем рекламную площадку задание
	mysql_query( "UPDATE tasks SET paused = 0 WHERE balance < price / '" . $config['factor_tasks'] . "' and paused = 1 LIMIT 1" );

	
}

?>